import { StiValueElement } from "../../../system/interfaces";
import StiJson from "../../../system/StiJson";
import { StiCheckBoxCellItem } from "../cells/StiCheckBoxCellItem";
import { StiColumnItem } from "../StiColumnItem";
export declare class StiCheckBoxColumnItem extends StiColumnItem implements StiValueElement {
    type: string;
    cells: StiCheckBoxCellItem[];
    saveToJsonObject(options: any): StiJson;
    setDefaultValues(): void;
    get value(): Object;
    createCell(): any;
    loadFromJsonObject(json: StiJson): void;
}
